org.apache.lucene.queryparser.flexible.core.nodes

## Enum ProximityQueryNode.Type

- java.lang.Object
- - java.lang.Enum<ProximityQueryNode.Type>
  - - org.apache.lucene.queryparser.flexible.core.nodes.ProximityQueryNode.Type

All Implemented Interfaces:
  Serializable, Comparable<ProximityQueryNode.Type>

Enclosing class:
  ProximityQueryNode

    public static enum ProximityQueryNode.Type
    extends Enum<ProximityQueryNode.Type>

Distance condition: PARAGRAPH, SENTENCE, or NUMBER

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NUMBER`
`PARAGRAPH`
`SENTENCE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ProximityQueryNode.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProximityQueryNode.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARAGRAPH

    public static final ProximityQueryNode.Type PARAGRAPH

#### SENTENCE

    public static final ProximityQueryNode.Type SENTENCE

#### NUMBER

    public static final ProximityQueryNode.Type NUMBER

### Method Detail

#### values

    public static ProximityQueryNode.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProximityQueryNode.Type c : ProximityQueryNode.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProximityQueryNode.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null